<!DOCTYPE html>
<html lang="ru">

<head>

    <meta charset="utf-8">

    <title>{% block title %}{{ meta.title }}{% endblock %}</title>
    <meta name="description" content="{% block description %}{{ meta.description }}{% endblock %}">
    <meta name="keywords" content="{% block keywords %}{{ meta.keywords }}{% endblock %}"/>

    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

    <link rel="shortcut icon" type="image/x-icon" href="/images/favicon.ico"/>

    {% block css %}
        {{ encore_entry_link_tags('index') }}
    {% endblock %}

    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=UA-121327045-1"></script>
    <script>
        window.dataLayer = window.dataLayer || [];
        function gtag(){dataLayer.push(arguments);}
        gtag('js', new Date());

        gtag('config', 'UA-121327045-1');
    </script>
    {% block adsense %}{% endblock %}
</head>
<body>
<div class="wrapp-container">
    <div class="main-nav">
        <div class="nav-header">
            <p class="logo">Php<span>Store</span></p>
            <p class="text">сайт о php</p>
        </div>
        <div class="nav-menu">
            {{ include('phpstore/views/menu/menu.html.twig', {'menu': menu}) }}
        </div>
        <div class="footer">
            <p>Copyright &copy; 2019 PhpStore.com.ua<br> All rights reserved</p>
        </div>
    </div>
    <div id="page">
        <div class="content">
            <div class="content-header">
                <div class="row" style="margin: 0">
                    <div class="col-md-1 col-sm-1 col-9 btn-nav-menu">
                        <a href="#main-menu" class="mburger mburger--squeeze btn-mmenu">
                            <b></b>
                            <b></b>
                            <b></b>
                        </a>
                    </div>
                    <a href="{{ path('app_home') }}">
                        <div class="header-logo">
                            <span>PHP</span>
                            <p>STORE</p>
                        </div>
                    </a>
                    <div class="col-xl-7 col-lg-7 col-md-7 col-sm-10 col-1">
                        <div class="header-account-small-mobile">
                            <a href="#search-popup" class="btn-search-popup-link"><i class="fas fa-search"></i></a>
                        </div>
                        <div class="header-search">
                            <form action="{{ path('app_search') }}" method="get">
                                <button class="btn-search"><i class="fas fa-search"></i></button>
                                <input type="text" name="q" {% if query is defined %} value="{{ query }}" {% endif %} required class="input-search" placeholder="Введите ключевые слова поиска..."/>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
            {% block breadcrumbs %}
            {% endblock %}
            <div class="wrapp-content">
                {% block content %}
                    <div class="row">
                        <div class="col-xl-12">
                            <div class="block-gallery-slider">
                                <ul id="home-gallery-slider">
                                    <li>
                                        <div class="item-gallery">
                                            <img src="{{ asset('images/home/banner/test.jpg', 'images') }}" alt="Читать статьи с планшета"/>
                                            <div class="btn-block">
                                                <span><a href="{{ path('app_department', {'department': 'articles'}) }}">Перейти</a></span>
                                            </div>
                                            <div class="block-text">
                                                <h5>Статьи по PHP</h5>
                                                <p>Интересные и уникальные темы, практические советы помогут в изучении php даже опытным разработчикам! <span class="small-device-hidden">Для просмотра всех статтей перейдите в раздел Статьи!</span></p>
                                            </div>
                                        </div>
                                    </li>
                                    <li>
                                        <div class="item-gallery">
                                            <img src="{{ asset('images/home/banner/cher.jpg', 'images') }}" alt="Читать статьи с планшета"/>
                                            <div class="btn-block">
                                                <span><a href="{{ path('app_subscribe') }}">Перейти</a></span>
                                            </div>
                                            <div class="block-text">
                                                <h5>Подписка</h5>
                                                <p>Подпишитесь на уведеомления чтобы получать свежие новости о новых статьях или разделах сайта!</p>
                                            </div>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                            <div class="home-gallery-block">
                                <div class="left-block">
                                    <div class="top-left-block item-block">
                                        <img src="{{ asset('images/home/banner/test.jpg', 'images') }}" alt="Читать статьи с планшета"/>
                                        <div class="btn-block">
                                            <span><a href="{{ path('app_department', {'department':'articles'}) }}">Перейти</a></span>
                                        </div>
                                        <div class="block-text">
                                            <h5>Статьи по PHP</h5>
                                            <p>Интересные и уникальные темы, практические советы помогут в изучении php даже опытным разработчикам. Для просмотра всех статтей перейдите в раздел Статьи!</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="right-block item-block">
                                    <img src="{{ asset('images/home/banner/cher.jpg', 'images') }}"/>
                                    <div class="btn-block">
                                        <span><a href="{{ path('app_subscribe') }}">Перейти</a></span>
                                    </div>
                                    <div class="block-text">
                                        <h5>Подписка</h5>
                                        <p>Подпишитесь на уведеомления чтобы получать свежие новости о новых статьях или разделах сайта!</p>
                                    </div>
                                </div>
                            </div>
                            <div class="top-articles-block">
                                <div class="title-section">
                                    <p class="title">Топ Статьи</p>
                                    <p class="description">Список самых популярных и интересных статей о php</p>
                                </div>
                                <div class="articles">
                                    {% for article in topArticles %}
                                        {{ include('phpstore/views/catalog-article/catalog-article.html.twig', {'article': article}) }}
                                    {% endfor %}
                                    <div class="btn-load-more">
                                        <a href="/dep/articles/"><p>читать все статьи</p></a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                {% endblock %}
            </div>
        </div>
    </div>
</div>

<div class="block-hidden" style="display: none">
    <nav id="main-menu">
        {{ include('phpstore/views/menu/menu.html.twig', {'menu': menu}) }}
    </nav>
    <div id="search-popup" class="top-search-popup">
        <form class="form-search-popup">
            <input type="text" name="q" placeholder="Поиск..." class="input-search-popup" id="focus-search-input"/>
            <span class="btn-search-popup"><i class="fas fa-search"></i></span>
        </form>
    </div>
</div>

<a href="#" class="scrollup">Наверх</a>

{% block jsscript %}
    {{ encore_entry_script_tags('index') }}
{% endblock %}
</body>